%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version       0.70
%define polkit_version          0.92
%define parted_version          1.8.8

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Power Management Service
Name: 		DeviceKit-power
Version: 	012
Release: 	1
BuildArch:	i686
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://cgit.freedesktop.org/DeviceKit/DeviceKit-power/
Source0: 	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires: 	glib-devel >= %{glib2_version}
BuildRequires: 	dbus-devel  >= %{dbus_version}
BuildRequires: 	dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: 	polkit-devel >= %{polkit_version}
BuildRequires: 	sqlite-devel
BuildRequires: 	libtool
BuildRequires: 	intltool
BuildRequires: 	gettext
BuildRequires: 	libgudev1-devel
BuildRequires: 	libusb-devel eggdbus-devel

Requires: 	dbus >= %{dbus_version}
Requires: 	dbus-glib >= %{dbus_glib_version}
Requires: 	glib >= %{glib2_version}
Requires: 	polkit >= %{polkit_version}
Requires: 	udev

%description
DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system.

%package devel
Summary: Headers and libraries for DeviceKit-power
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for DeviceKit-power.

%prep
%setup -q
#%setup -q -n %{?name}-%{?version}-%{?alphatag}

%build
%configure --disable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING HACKING doc/TODO $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/README
%doc %{_datadir}/doc/%{name}-%{version}/TODO
%{_libdir}/libdevkit-power-gobject*.so.*
%{_sysconfdir}/dbus-1/system.d/*.conf
/lib/udev/rules.d/*.rules
%dir %{_localstatedir}/lib/DeviceKit-power
%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dbus-1/system-services/*.service

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml
#%dir %{_datadir}/gtk-doc/html/devkit-power
#%{_datadir}/gtk-doc/html/devkit-power/*
%{_libdir}/libdevkit-power-gobject*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.la
%dir %{_includedir}/DeviceKit-power/devkit-power-gobject
%{_includedir}/DeviceKit-power/devkit-power-gobject/*.h

%changelog
* Wed Nov 12 2009 Christian Metzen <metzench@ccux-linux.de> 012-1
- Initial CCux package release
